unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls, ExtCtrls, recent;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    recent1: TMenuItem;
    OpenDialog1: TOpenDialog;
    N1: TMenuItem;
    Exit1: TMenuItem;
    Open1: TMenuItem;
    Bevel1: TBevel;
    Label1: TLabel;
    Recentlist1: TRecentlist;
    procedure Exit1Click(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure Recentlist1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
    Procedure OpenTheFile(Fn: String);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

Uses
  IniFiles;
  
procedure TForm1.Exit1Click(Sender: TObject);
begin
  Close;
end;

Procedure TForm1.OpenTheFile(Fn: String);
Begin
  Label1.caption:='LastFile: '+Fn;
End;

procedure TForm1.Open1Click(Sender: TObject);
begin
  If Opendialog1.Execute then
  begin
    OpenTheFile(OpenDialog1.Filename);
    recentList1.Add(OpenDialog1.FileName);
  End;
end;

procedure TForm1.Recentlist1Click(Sender: TObject);
begin
  OpenTheFile(recentList1.FileName);
end;

procedure TForm1.FormCreate(Sender: TObject);
Var
  IniF: TIniFile;
begin
  IniF:=TIniFile.Create(ChangeFileExt(Application.Exename, '.INI'));
  RecentList1.LoadFromIni(IniF, 'Recent');
  IniF.Free;
end;

procedure TForm1.FormDestroy(Sender: TObject);
Var
  IniF: TIniFile;
begin
  IniF:=TIniFile.Create(ChangeFileExt(Application.Exename, '.INI'));
  RecentList1.SaveToIni(IniF, 'Recent');
  IniF.Free;
end;

end.
